CHSH(1)

NOM
chsh - modifiez votre interpréteur de connexion

SYNOPSIS

chsh [-s shell] [-l] [-h] [-v] [nom_d’utilisateur]

DESCRIPTION

chsh est utilisé pour changer votre interpréteur de commandes utilisé à la connexion. Si aucun interpréteur de commandes est donné sur la ligne de commande, chsh en demande un.

chsh supporte les entrées non locales (kerberos, LDAP, etc.) s’il est lié avec libuser. Sinon, utilisez ypchsh(1), lchsh(1) ou toute autre implémentation pour les entrées non locales.

OPTIONS

-s, --shell shell
    Spécifiez votre interpréteur de commandes après connexion.

-l, --list-shells
    Afficher la liste des interpréteurs de commande listés dans /etc/shells et arrête.

-h, --help
    Display help text and exit. (Short option -h is used since version 2.30; older versions used the now-deprecated -u).

-V, --version
    Display version and exit. (Short option -V is used since version 2.39; older versions used the now-deprecated -v).

INTERPRÉTEURS VALIDES

chsh accepte le nom avec chemin complet de n’importe quel fichier exécutable sur le système.

Le comportement par défaut pour les utilisateurs autres que root consiste à n’accepter que les interpréteurs listés dans le fichier /etc/shells. Un avertissement est affiché pour l’utilisateur root. Il peut aussi être configuré, durant la compilation, pour n’afficher qu’un avertissement pour tous les utilisateurs.

CODE DE RETOUR

Retourne 0 si l’opération a réussi, 1 si l’opération a échoué ou la syntaxe de la commande n’est pas valable.

AUTEURS

VOIR AUSSI

login(1), login.defs(5), passwd(5), shells(5)

SIGNALER DES BOGUES

Pour signaler un bogue, utilisez le

DISPONIBILITÉ

La commande chsh fait partie du paquet util-linux, elle est disponible sur